body{
    display: flex;
    flex-wrap: wrap;
}

header, footer, h1{
    flex-basis: 100%;
}

h1, aside, header>nav>ul>li,footer{
    border-width: 1px;
    border-style: solid;
}

h1{
    padding: 30px;
}

footer{
    padding-left: 30px;
}

figure img{
    width: 100%;
    text-align: center;
}

figcaption, aside figure div, aside div, h2{
    text-align: center;
}

aside>div , aside{
    margin-top: 50px;
    margin-bottom: 50px;
}

nav>ul{
    display: flex;
    padding: 0;
}

nav>ul>li{
    list-style-type: none;
    flex-basis: 10%;
    flex-grow: 1;
    padding-top: 5px;
    padding-bottom: 5px;
    border-style: solid;
    border-width: 1px;
    text-align: center;
}

main{
    flex-basis: 60%;
    flex-grow: 1;
}

aside{
    flex-basis: 20%;
}

.main{
    width: 85%;
    margin-left: auto;
    margin-right: auto;
}

main div div{
    display: flex;
    flex-wrap: wrap;
}

main div div figure{
    flex-basis: 170px;
}

main div div figure img{
    height: 230px;
}

th{
    border-right: 1px;
    border-right-style: solid;
}